Bug 225518 - devel/py-ipykernel: Enable concurrent installs
Summary: devel/py-ipykernel: Enable concurrent installs
Status: Closed Overcome By Events
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-python (Nobody)
URL:
Keywords: needs-patch
Depends on: 225493 225516
Blocks:
  Show dependency treegraph
 
Reported: 2018-01-29 01:07 UTC by John W. O'Brien
Modified: 2020-04-08 00:33 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (python)
koobs: maintainer-feedback? (john)


Attachments
devel/py-ipykernel: Enable concurrent installs (1.40 KB, text/plain)
2018-01-29 01:07 UTC, John W. O'Brien
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description John W. O'Brien 2018-01-29 01:07:50 UTC
Created attachment 190144 [details]
devel/py-ipykernel: Enable concurrent installs

devel/py-nbconvert installs the following supporting files to ${PREFIX}/share/jupyter/kernels.

    python${PYTHON_MAJOR_VER}/kernel.json
    python${PYTHON_MAJOR_VER}/logo-32x32.png
    python${PYTHON_MAJOR_VER}/logo-64x64.png

The attached patch adds the minor version to the KERNEL_SPEC variable and bumps PORTREVISION due to the newly applied patch affecting ipykernel.kernelspec.

I have also submitted this patch upstream [0].

[0] https://github.com/ipython/ipykernel/pull/301

QA
==

portlint: OK
poudriere: OK -- testport on 10.4-RELEASE-p3 on amd64 w/py27 (default), py34, py35, py36
Comment 1 John W. O'Brien 2018-01-29 03:05:57 UTC
This patch can be committed but won't be useful until the patch in bug 225493 is committed because devel/py-ipykernel depends upon devel/ipython.
Comment 2 John W. O'Brien 2018-01-29 03:14:01 UTC
This patch can be committed but won't be useful until the patch in bug 225516 is committed because devel/py-ipykernel depends upon devel/py-jupyter_client which depends upon devel/py-jupyter_core.
Comment 3 John W. O'Brien 2018-02-11 23:24:30 UTC
Heads-up. This patch needs more work. I got some feedback on the patch I submitted upstream, and I think I better understand how we ought to be handling the kernelspec. Stand by for a revised patch.
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2018-02-20 09:18:23 UTC
Comment on attachment 190144 [details]
devel/py-ipykernel: Enable concurrent installs

Obsolete existing patch, pending revision (see comment 3)
Comment 5 John W. O'Brien 2020-04-08 00:33:41 UTC
This port has been deprecated by ports r530847 and further work on it would not be justified.